hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Akira AJISAKA (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-9613) [JDK8] Update jersey version to latest 1.x release
Date Tue, 19 May 2015 02:38:01 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-9613?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14549686#comment-14549686
] 

Akira AJISAKA commented on HADOOP-9613:
---------------------------------------

I'm thinking the javac warnings (deprecation) are related to the patch. {{ClientResponse#getClientResponseStatus}}
has been deprecated since 1.18. https://jersey.java.net/nonav/apidocs/1.18/jersey/com/sun/jersey/api/client/ClientResponse.html

> [JDK8] Update jersey version to latest 1.x release
> --------------------------------------------------
>
>                 Key: HADOOP-9613
>                 URL: https://issues.apache.org/jira/browse/HADOOP-9613
>             Project: Hadoop Common
>          Issue Type: Sub-task
>          Components: build
>    Affects Versions: 3.0.0, 2.4.0
>            Reporter: Timothy St. Clair
>            Assignee: Timothy St. Clair
>              Labels: BB2015-05-TBR, maven
>         Attachments: HADOOP-2.2.0-9613.patch, HADOOP-9613.1.patch, HADOOP-9613.patch
>
>
> Update pom.xml dependencies exposed when running a mvn-rpmbuild against system dependencies
on Fedora 18.  
> The existing version is 1.8 which is quite old. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message